import request from '@/utils/request'

// 查询流程实例列表
export function listFlowExamples(query) {
  return request({
    url: '/flow/flowExamples/list',
    method: 'get',
    params: query
  })
}

// 查询流程实例详细
export function getFlowExamples(id) {
  return request({
    url: '/flow/flowExamples/' + id,
    method: 'get'
  })
}

// 新增流程实例
export function addFlowExamples(data) {
  return request({
    url: '/flow/flowExamples',
    method: 'post',
    data: data
  })
}

// 修改流程实例
export function updateFlowExamples(data) {
  return request({
    url: '/flow/flowExamples',
    method: 'put',
    data: data
  })
}

// 删除流程实例
export function delFlowExamples(id) {
  return request({
    url: '/flow/flowExamples/' + id,
    method: 'delete'
  })
}

// 导出流程实例
export function exportFlowExamples(query) {
  return request({
    url: '/flow/flowExamples/export',
    method: 'get',
    params: query
  })
}
